# LibraryDependencies

interface LibraryDependencies : ComponentDependencies

Allows the API and implementation dependencies of a library to be specified.

#### Since

4.6

## Functions

api
Link copied to clipboard
abstract fun api(notation: Any)
abstract fun api(notation: Any, action: Action<in ExternalModuleDependency>)
Adds an API dependency to this library.
implementation
Link copied to clipboard
abstract fun implementation(notation: Any)